# frozen_string_literal: true

require 'base32/version'

require 'base32/alphabet'
require 'base32/chunk'
require 'base32/decoder'
require 'base32/encoder'
require 'base32/random'

# Module for encoding and decoding in Base32 per RFC 3548
module Base32
  def self.decode(str, alphabet = Base32::Alphabet::CHARS)
    Decoder.new(str, alphabet).call
  end

  def self.encode(str, alphabet = Base32::Alphabet::CHARS)
    Encoder.new(str, alphabet).call
  end
end
