# frozen_string_literal: true

module Base32
  class Encoder
    attr_reader :str, :alphabet

    def initialize(str, alphabet = Base32::Alphabet::CHARS)
      @str      = str
      @alphabet = alphabet
    end

    def call
      Base32::Chunk.call(str, 5, alphabet).collect(&:encode).flatten.join
    end
  end
end
