# frozen_string_literal: true

require 'openssl'

# Module for encoding and decoding in Base32 per RFC 3548
module Base32
  class Random
    attr_reader :length, :padding

    def initialize(length = 16, padding = true)
      @length  = length
      @padding = padding
    end

    def call
      random = ''

      OpenSSL::Random.random_bytes(length).each_byte do |b|
        random += alphabet.to_s[b % 32]
      end
      padding ? random.ljust((length / 8.0).ceil * 8, '=') : random
    end

    def alphabet
      @alphabet ||= Base32::Alphabet.new Base32::Alphabet::CHARS
    end
  end
end
